package com.qmth.teachcloud.report.business.bean.dto;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @Description: answerDetailBean
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/1/14
 */
public class AnswerDetailBean implements Serializable {

    @ApiModelProperty(value = "教师id")
    private Long teacherId;

    @ApiModelProperty(value = "教师名称")
    private String teacherName;

    @ApiModelProperty(value = "试卷id")
    private Long paperId;

    @ApiModelProperty(value = "试卷类型")
    private String paperType;

    @ApiModelProperty(value = "作答分数")
    private BigDecimal answerScore;

    @ApiModelProperty(value = "试卷题目分数")
    private BigDecimal fullScore;

    @ApiModelProperty(value = "得分率")
    private Double scoreRate;

    @ApiModelProperty(value = "难度")
    private String difficult;

    @ApiModelProperty(value = "学院名称")
    private String collegeName;

    @ApiModelProperty(value = "学院id")
    private Long collegeId;

    public AnswerDetailBean(Long teacherId, String teacherName, Long paperId, String paperType, BigDecimal answerScore, BigDecimal fullScore, Double scoreRate, String difficult, String collegeName, Long collegeId) {
        this.teacherId = teacherId;
        this.teacherName = teacherName;
        this.paperId = paperId;
        this.paperType = paperType;
        this.answerScore = answerScore;
        this.fullScore = fullScore;
        this.scoreRate = scoreRate;
        this.difficult = difficult;
        this.collegeName = collegeName;
        this.collegeId = collegeId;
    }

    public AnswerDetailBean() {
    }

    public Long getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(Long teacherId) {
        this.teacherId = teacherId;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }

    public Long getPaperId() {
        return paperId;
    }

    public void setPaperId(Long paperId) {
        this.paperId = paperId;
    }

    public String getPaperType() {
        return paperType;
    }

    public void setPaperType(String paperType) {
        this.paperType = paperType;
    }

    public BigDecimal getAnswerScore() {
        return answerScore;
    }

    public void setAnswerScore(BigDecimal answerScore) {
        this.answerScore = answerScore;
    }

    public BigDecimal getFullScore() {
        return fullScore;
    }

    public void setFullScore(BigDecimal fullScore) {
        this.fullScore = fullScore;
    }

    public Double getScoreRate() {
        return scoreRate;
    }

    public void setScoreRate(Double scoreRate) {
        this.scoreRate = scoreRate;
    }

    public String getDifficult() {
        return difficult;
    }

    public void setDifficult(String difficult) {
        this.difficult = difficult;
    }

    public String getCollegeName() {
        return collegeName;
    }

    public void setCollegeName(String collegeName) {
        this.collegeName = collegeName;
    }

    public Long getCollegeId() {
        return collegeId;
    }

    public void setCollegeId(Long collegeId) {
        this.collegeId = collegeId;
    }
}
